Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Defines | Functions
Matrix.h File Reference
`#include <cassert>`
`#include <iostream>`
`#include <vector>`
`#include <tulip/Vector.h>`
`#include "cxx/Matrix.cxx"`
Include dependency graph for Matrix.h:

## Classes

- class tlp::Matrix< Obj, SIZE >
    class for mathematical square matrix More...

## Namespaces

- namespace tlp

## Defines

- #define MATRIX Matrix<Obj,SIZE>

## Functions

- template<typename Obj , unsigned int SIZE> MATRIX tlp::operator+ (const MATRIX &mat1, const MATRIX &mat2)
- template<typename Obj , unsigned int SIZE> MATRIX tlp::operator- (const MATRIX &mat1, const MATRIX &mat2)
- template<typename Obj , unsigned int SIZE> MATRIX tlp::operator* (const MATRIX &mat, const Obj &obj)
- template<typename Obj , unsigned int SIZE> MATRIX tlp::operator* (const MATRIX &mat1, const MATRIX &mat2)
- template<typename Obj , unsigned int SIZE> Vector< Obj, SIZE > tlp::operator* (const Vector< Obj, SIZE > &vec, const tlp::Matrix< Obj, SIZE > &)
- template<typename Obj , unsigned int SIZE> Vector< Obj, SIZE > tlp::operator* (const Matrix< Obj, SIZE > &, const Vector< Obj, SIZE > &vec)

## Define Documentation

#define MATRIX Matrix<Obj,SIZE>

Tulip Software by LaBRI Visualization Team 2001 - 2012